/********************************************************
* An voicecontrol plugin - Version 0.4                  *
*********************************************************
*                                                       *
* Name: plugin_stills_voice                             *
* Author: Stillsetzhut (stillsetzhut@thh-clan.de)       *
* Released: 12/02/03                                    *
*                                                       *
*                                                       *
* Version 0.4 (immer noch Betastatus :-(                *
*                                                       *
* Special Edition for THH-Server                        *
*                                                       *
********************************************************/

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

#define ACCESS_STILLS 256
#define ACCESS_SERSET 128

new STRING_VERSION[MAX_DATA_LENGTH] = "0.4";

public admin_voiceenable(HLCommand,HLData,HLUserName,UserIndex) {
        new Command[MAX_COMMAND_LENGTH];
        new Data[MAX_DATA_LENGTH];
        new User[MAX_NAME_LENGTH];
        new Text[MAX_TEXT_LENGTH];
        convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
        convert_string(HLData,Data,MAX_DATA_LENGTH);
        convert_string(HLUserName,User,MAX_NAME_LENGTH);
        execute_command(User,Command,"sv_voiceenable",Data);
        if (check_param(Data) == 1) {
		snprintf(Text,MAX_TEXT_LENGTH,"Voicerecording is online!!");
                typesay(Text,10,68,255,125);
        	}
        else {
                snprintf(Text,MAX_TEXT_LENGTH,"Voicecommunikation is deactivated");
                typesay(Text,10,255,40,44);
        	}
        return PLUGIN_HANDLED;
}

public admin_alltalk(HLCommand,HLData,HLUserName,UserIndex) {
        new Command[MAX_COMMAND_LENGTH];
        new Data[MAX_DATA_LENGTH];
        new User[MAX_NAME_LENGTH];
        new Text[MAX_TEXT_LENGTH];
        convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
        convert_string(HLData,Data,MAX_DATA_LENGTH);
        convert_string(HLUserName,User,MAX_NAME_LENGTH);
        execute_command(User,Command,"sv_alltalk",Data);
        if (check_param(Data) == 1) {
		snprintf(Text,MAX_TEXT_LENGTH,"BE CAREFULL !!!^nEverybody hear your Voice!!^nsv_alltalk on");
                typesay(Text,15,255,40,44);
                }
        else {
                snprintf(Text,MAX_TEXT_LENGTH,"Keep cool,^nonly Teammates hear your Voice^nsv_alltalk off");
                typesay(Text,10,68,255,125);
                }
        return PLUGIN_HANDLED;
}

public admin_voice(HLCommand,HLData,HLUserName,UserIndex) {
        new Command[MAX_COMMAND_LENGTH];
        new Data[MAX_DATA_LENGTH];
        new User[MAX_NAME_LENGTH];
        new Text[MAX_TEXT_LENGTH];
        new Voice[MAX_DATA_LENGTH];
        new Talk[MAX_DATA_LENGTH];
        convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
        convert_string(HLData,Data,MAX_DATA_LENGTH);
        convert_string(HLUserName,User,MAX_NAME_LENGTH);
        getstrvar("sv_voiceenable",Voice,MAX_DATA_LENGTH);
        getstrvar("sv_alltalk",Talk,MAX_DATA_LENGTH);
        snprintf(Text,MAX_TEXT_LENGTH,"voiceenable is %s^nalltalk is %s^n1 is on^n0 is off",Voice,Talk);
        messageex(User,Text,print_tty);
        return PLUGIN_HANDLED;
}

public SayCommand(HLCommand,HLData,HLUserName,UserIndex) {
        new Data[MAX_DATA_LENGTH];
        new UserName[MAX_NAME_LENGTH];
        convert_string(HLData,Data,MAX_DATA_LENGTH);
        convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
        strstripquotes(Data);
        if (streq(Data,"voice")==1) {
	    	admin_voice(HLCommand,HLData,HLUserName,UserIndex);
  	        }
        return PLUGIN_CONTINUE;
}

public plugin_init() {
        plugin_registerinfo("Stills's Voice Plugin","Control servers voicesettings",STRING_VERSION);
        plugin_registercmd("admin_voice","admin_voice",ACCESS_ALL,"admin_voice - Display the Servers Voicesettingstatus");
	plugin_registercmd("admin_voiceenable","admin_voiceenable",ACCESS_SERSET,"admin_voiceenable <1 or 0> - sv_voiceenable on or off");
        plugin_registercmd("admin_alltalk","admin_alltalk",ACCESS_SERSET,"admin_alltalk <1 or 0> - sv_alltalk on or off");
        plugin_registercmd("say","SayCommand",ACCESS_ALL,"say voice - Display the Servers Voicesettingstatus");
        return PLUGIN_CONTINUE;
}